diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
index 5bd4508b5..557777fd5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/__init__.py
@@ -1331,6 +1331,7 @@ class ViewNode(PGChildNodeView, VacuumSettings, SchemaDiffObjectCompare):
                 'attlen': rows['attlen'],
                 'typnspname': rows['typnspname'],
                 'defval': None,
+                'description': None,
                 'table': rows['relname'],
                 'schema': self.view_schema
             }
@@ -1341,8 +1342,12 @@ class ViewNode(PGChildNodeView, VacuumSettings, SchemaDiffObjectCompare):
             if 'defval' in rows and rows['defval'] is not None:
                 res['defval'] = rows['defval']
                 o_data['defval'] = None
-            else:
-                continue
+
+            # Generate alter statement for comments
+            if 'description' in rows and (rows['description'] is not None or
+                                          rows['description'] != ''):
+                res['description'] = rows['description']
+                o_data['description'] = None
 
             SQL = render_template("/".join(
                 [self.column_template_path,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/templates/views/pg/9.4_plus/sql/update.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/templates/views/pg/9.4_plus/sql/update.sql
index e328ad3cf..17c3a5f68 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/templates/views/pg/9.4_plus/sql/update.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/templates/views/pg/9.4_plus/sql/update.sql
@@ -44,7 +44,7 @@ ALTER TABLE {{ conn|qtIdent(view_schema, view_name) }}
 
 COMMENT ON VIEW {{ conn|qtIdent(view_schema, view_name) }}
     IS {{ data.comment|qtLiteral }};
-{% elif  data.del_sql == True %}
+{% elif  data.del_sql == True and old_comment != '' %}
 COMMENT ON VIEW {{ conn|qtIdent(view_schema, view_name) }}
     IS {{ old_comment|qtLiteral }};
 {% endif %}
